<script setup>
import { defineProps, computed } from "vue";

const props = defineProps({
  token: undefined,
  currentProject: {},
});

const insideActiveProject = computed(() => {
  return props.currentProject !== undefined;
});
</script>

<template>
  <div
    class="bg-gray-900 rounded-t-lg -mt-5 absolute bottom-0 w-full z-10 px-5 pt-2 pb-5"
  >
    <RouterLink to="/">
      <div
        class="absolute w-10 h-10 z-40 right-5 -top-5 text-gray-200 flex justify-center items-center"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 24 24"
          fill="currentColor"
          class="w-12 h-12"
        >
          <path
            fill-rule="evenodd"
            d="M12 2.25c-5.385 0-9.75 4.365-9.75 9.75s4.365 9.75 9.75 9.75 9.75-4.365 9.75-9.75S17.385 2.25 12 2.25zm-1.72 6.97a.75.75 0 10-1.06 1.06L10.94 12l-1.72 1.72a.75.75 0 101.06 1.06L12 13.06l1.72 1.72a.75.75 0 101.06-1.06L13.06 12l1.72-1.72a.75.75 0 10-1.06-1.06L12 10.94l-1.72-1.72z"
            clip-rule="evenodd"
          />
        </svg></div
    ></RouterLink>

    <div class="w-10 h-1 bg-gray-500 rounded mx-auto mb-5"></div>
    <div class="flex -mx-3">
      <div class="w-full px-3 text-center">
        <div class="text-xl leading-none mb-2 text-gray-200">Space Token</div>
        <div v-if="!token">
          <div class="text-md leading-tight mb-2 text-gray-200 uppercase">
            Minting
          </div>
          <div class="text-xs leading-tight mb-2 text-gray-200">
            verifying location...
          </div>
        </div>
      </div>
    </div>
    <hr class="border-gray-800 my-5" />
    <div class="flex -mx-3">
      <div v-if="token" class="w-full px-3">
        <RouterLink to="/result"
          ><div class="text-xs leading-tight text-gray-200 mb-5 text-center">
            1 token successfully minted
          </div></RouterLink
        >
        <div
          class="text-xs leading-tight text-gray-200 flex justify-center items-center"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke-width="3"
            stroke="currentColor"
            class="w-6 h-6"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              d="M4.5 12.75l6 6 9-13.5"
            />
          </svg>
        </div>
        <div class="w-full px-3">
          <RouterLink to="/result" :project="currentProject">
            <button
              class="block w-full rounded-lg p-4 border text-center text-sm"
              :class="{
                'bg-indigo-500': insideActiveProject,
                'border-indigo-500': insideActiveProject,
                'text-gray-200': insideActiveProject,
                'border-gray-800': !insideActiveProject,
                'text-gray-700': !insideActiveProject,
              }"
              :disabled="!insideActiveProject"
            >
              RESULTS
            </button>
          </RouterLink>
        </div>
      </div>
    </div>
  </div>
</template>
